echo off

rem  ===================
rem      Wizard Wars
rem     Docs Download
rem  ===================
rem
rem  Sample file using compression: ZIP LZH ARJ
rem                    protocols  : XModem YModemG ZModem
rem
rem  Parameters
rem  ----------
rem  %1  [  ] - Transfer drive
rem  %2  [  ] - Transfer directory
rem
rem  %3  [%1] - Game drive
rem  %4  [%2] - Game directory
rem  %5  [%3] - Comm port number
rem  %6  [%4] - Baud rate
rem  %7  [%5] - Player ID tag
rem  %8  [%6] - Compression tag
rem  %9  [%7] - Protocol tag
rem  %10 [%8] - Filename


rem
rem Validate drive:path parameters present
rem
:START

if %2x == x goto BADPARM
goto SETTGT
:BADPARM
echo Error - Missing parameters
goto DONE2


rem
rem Change to transfer drive:directory
rem
:SETTGT

%1
cd %2
shift
shift


rem
rem Validate remaining parameters present
rem
:VALID

if %8x == x goto BADPARM2
goto COMPR
:BADPARM2
echo Error - Missing parameters
goto DONE


rem
rem Dispatch based on compression
rem
:COMPR

if %6 == ZIP goto ZIPIT
if %6 == LZH goto LZHIT
if %6 == ARJ goto ARJIT
echo Illegal compression format
goto DONE


rem
rem Compress using PKZIP
rem
:ZIPIT
pkzip -a WIZWARS.%6 WIZWARS.%8
goto SENDIT


rem
rem Compress using LHARC
rem
:LZHIT
lharc a WIZWARS.%6 WIZWARS.%8
goto SENDIT


rem
rem Compress using ARJ
rem
:ARJIT
arj a WIZWARS.%6 WIZWARS.%8
goto SENDIT


rem
rem Dispatch based on protocol
rem
:SENDIT

if %7 == XModem  goto SENDX
if %7 == YModemG goto SENDY
if %7 == ZModem  goto SENDZ
echo Illegal transfer protocol
goto DONE


rem
rem Transmit using XModem
rem
:SENDX
g:\bbs\utils\dsz\dsz.com port %3 handshake on sx WIZWARS.%6
goto DONE


rem
rem Transmit using YModemG
rem
:SENDY
g:\bbs\utils\dsz\dsz.com port %3 handshake on sb WIZWARS.%6
goto DONE


rem
rem Transmit using ZModem
rem
:SENDZ
g:\bbs\utils\dsz\dsz.com port %3 handshake on sz WIZWARS.%6
goto DONE


rem
rem Change to door drive:directory & exit
rem
:DONE

%1
cd %2


:DONE2

